Struts2 facet?

Hi, all,

I can't seem to figure out what I'm doing wrong with the struts2 facet.
I have one attached to a Module, and the struts.xml file is included in
the fileset, but I get none of the autocomplete functionality, and the
graph view of the file doesn't show any of my configuration. Can anyone
suggest what I may be doing wrong?

Also -- is there an easy way I can update the versions of struts and
spring the plugins expose?

Thanks!
David Lieberman
Software Architect
Harvard Business School

2 comments
Comment actions Permalink

Ah -- I see Yann has just started issue tracking to struts2.1 support to
the plugin.

http://www.jetbrains.net/jira/browse/STRPL-89

David Lieberman wrote:

Hi, all,

I can't seem to figure out what I'm doing wrong with the struts2 facet.
I have one attached to a Module, and the struts.xml file is included in
the fileset, but I get none of the autocomplete functionality, and the
graph view of the file doesn't show any of my configuration. Can anyone
suggest what I may be doing wrong?

Also -- is there an easy way I can update the versions of struts and
spring the plugins expose?

Thanks!
David Lieberman
Software Architect
Harvard Business School

0
Comment actions Permalink

Struts 2.1 XML-files will be supported in IDEA 9 and maybe also in later 8.x releases

Yann

0

Please sign in to leave a comment.